/*------------------------------------------------------------------------------
  Purpose:     Displaying a message.
  Author:      David Pipes   21-JUL-2007
  
  Parameters:  myEntryID is a unique string that every Office Item has.
               In Other Procedures i'll show you how to get the entryID.
               Once you have that pass that to THIS PROCEDURE  and it will
               display that item.
                      
  Notes:       Used best if displaying messages from you inbox in a browser.
               Once you double click on a MESSAGE send it here and THIS will
               display it.
------------------------------------------------------------------------------*/

DEFINE INPUT PARAMETER MyEntryID AS CHARACTER   NO-UNDO.

DEFINE VARIABLE hFolder    AS COM-HANDLE   NO-UNDO.
DEFINE VARIABLE hItem      AS COM-HANDLE   NO-UNDO.
DEFINE VARIABLE hNameSpace AS COM-HANDLE   NO-UNDO.
DEFINE VARIABLE hOutlook   AS COM-HANDLE   NO-UNDO.
DEFINE VARIABLE StoreID    AS CHARACTER    NO-UNDO.

CREATE "outlook.application" hOutlook.

ASSIGN
    hNameSpace = hOutlook:getnamespace("Mapi")
    hFolder    = hNameSpace:getDefaultFolder(6) /* 6 = inbox */
    StoreID    = hFolder:StoreID
    hItem      = hFolder:Items
    hItem      = hNameSpace:getItemFromID(MyEntryID, StoreID) NO-ERROR.

    /* hItem:Delete. <--- If you want to delete a Message that you are passing to
                          THIS Procedure */
hItem:DISPLAY NO-ERROR.

RELEASE OBJECT hFolder      NO-ERROR.
RELEASE OBJECT hItem        NO-ERROR.
RELEASE OBJECT hNameSpace   NO-ERROR.
RELEASE OBJECT hOutlook     NO-ERROR.
