' ***************************************************
'     Script To Create Appointment in Public Folder
'
'     Danny J. Lesandrini     September 18, 2000
'     datafast@home.com 
'     http://datafast.cjb.net  
'
'
'   This script will uses COM Automation to access
'  the Outlook Object Model in order to create a new
'  Appointment in a PUblic Folder
'                                                   
'   The user is prompted for the some of the more
'  important fields associated with an appointment, 
'  as well as the name of the Public Folder.  Then
'  the appointment is created and saved.
'
'   Note that the CreateObject call uses the generic
'  reference, "Outlook.Application" with no version
'  number.  This assures that the script won't break
'  just because the client machine doesn't contain
'  the correct version of MS Outlook.  The script
'  will break, however, if no version of Outlook is
'  found on the client machine
'
' ***************************************************



Dim myOlApp
Dim mNameSpace

Dim PublicFolder
Dim AllPublicFolders
Dim MyPublicFolder

Dim myItem 
Dim strMsg

Dim strPublicFolder 
Dim strSubject
Dim strStart 
Dim strEnd 
Dim strBody 

Const olAppointmentItem = 1 


'Query the User for the Contact Info
    strPublicFolder  = InputBox("Enter name of your Public Folder.","Appointment Information")

    strSubject = InputBox("Subject of Appointment.","Appointment Information")

    strStart = InputBox("Enter Start Time (mm/dd/yyyy hh:nn)","Appointment Information")

    strEnd = InputBox("Enter End Time (mm/dd/yyyy hh:nn)","Appointment Information")

    strBody = InputBox("Enter appointment description.","Appointment Information")


If Len(strPublicFolder) > 0 Then

' Create all necessary Outlook Objects
   Set objOutlook = CreateObject("Outlook.application")
   Set mNameSpace = objOutlook.GetNameSpace("MAPI")

   Set PublicFolder = mNameSpace.Folders("Public Folders")
   Set AllPublicFolders = PublicFolder.Folders("All Public Folders")
   Set MyPublicFolder= AllPublicFolders.Folders(strPublicFolder)

  
   Set myItem = MyPublicFolder.Items.Add

   With myItem 
      .Subject = strSubject
      .Start = strStart
      .End = strEnd
      .Body = strBody
      .Save
   End With


'Clean up
    Set myItem = Nothing
    Set mNameSpace = Nothing
    Set objOutlook = Nothing

End If