/*------------------------------------------------------------------------------
  Purpose:        Generic PROCEDURE for creating many different Item.
  Author          David Pipes   10-JAN-2007
  Parameters:     iItemNumber = THIS is a int that represents what item you
                  want to create. Possible Options
                  0 - Email
                  1 - Appointment
                  2 - Contact
                  3 - Task
                  4 - Journal Entry
                  5 - Note
                  6 - Discussion
                  7 - Distribution List
  Notes:       
------------------------------------------------------------------------------*/

DEFINE INPUT PARAMETER iItemNumber AS INT.

DEFINE VARIABLE hItem    AS COM-HANDLE   NO-UNDO.
DEFINE VARIABLE hOutlook AS COM-HANDLE   NO-UNDO.
DEFINE VARIABLE X        AS INTEGER      NO-UNDO.

CREATE "Outlook.Application" hOutlook.

hItem= hOutlook:CreateItem(iItemNumber).

hItem:DISPLAY(TRUE) NO-ERROR.
IF ERROR-STATUS:NUM-MESSAGES > 0 THEN
DO:
    MESSAGE "There was an error displaying your item" SKIP(1)
            ERROR-STATUS:GET-MESSAGE(1)
        VIEW-AS ALERT-BOX INFO BUTTONS OK TITLE "Error Creating a new Item".
END.

RELEASE OBJECT hOutlook NO-ERROR.
RELEASE OBJECT hItem    NO-ERROR.
