DEFINE VARIABLE hFolder    AS COM-HANDLE   NO-UNDO.
DEFINE VARIABLE hItem      AS COM-HANDLE   NO-UNDO.
DEFINE VARIABLE hItems     AS COM-HANDLE   NO-UNDO.
DEFINE VARIABLE hNameSpace AS COM-HANDLE   NO-UNDO.
DEFINE VARIABLE hOutlook   AS COM-HANDLE   NO-UNDO.
DEFINE VARIABLE SafeItem   AS COM-HANDLE   NO-UNDO.

DEFINE TEMP-TABLE ttInbox NO-UNDO
    FIELD iSubject AS CHARACTER  
    FIELD iSender  AS CHARACTER  
    FIELD iSentOn  AS CHARACTER  
    FIELD iUnread  AS LOGICAL    
    FIELD iEntryId AS CHARACTER  
    INDEX ientryId AS PRIMARY iSentOn DESC iSender ASC iEntryId ASC.

CREATE "Outlook.Application" hOutlook NO-ERROR.

ASSIGN
    hNameSpace = hOutlook:GetNameSpace("MAPI")
    hFolder    = hNameSpace:GetDefaultFolder(6)
    hItems     = hFolder:Items.

hItem = hItems:GetFirst NO-ERROR.
DO WHILE hItem <> 0:
    IF hItem = 0 THEN LEAVE.

    CREATE ttInbox.
    ASSIGN
        ttInbox.iSender  = hItem:SenderName
        ttInbox.iSentOn  = hItem:SentOn
        ttInbox.iSubject = hItem:Subject
        ttInbox.iUnread  = hItem:UnRead
        ttInbox.iEntryId = hItem:EntryID NO-ERROR.
                                         
   
    hItem = hItems:GetNext NO-ERROR.
END.


RELEASE OBJECT hFolder     NO-ERROR.
RELEASE OBJECT hItem       NO-ERROR.
RELEASE OBJECT hItems      NO-ERROR.
RELEASE OBJECT hNameSpace  NO-ERROR.
RELEASE OBJECT hOutlook    NO-ERROR.
RELEASE OBJECT SafeItem    NO-ERROR.

FOR EACH ttinbox:
    DISPLAY ttinbox.
END.
