DEFINE VARIABLE chFolder    AS COM-HANDLE   NO-UNDO.
DEFINE VARIABLE chMailItem  AS COM-HANDLE   NO-UNDO.
DEFINE VARIABLE chNamespace AS COM-HANDLE   NO-UNDO.
DEFINE VARIABLE chOutlook   AS COM-HANDLE   NO-UNDO.

DEFINE TEMP-TABLE ttContacts
    FIELD CompanyName         AS CHARACTER  
    FIELD Email1Address       AS CHARACTER  
    FIELD FullName            AS CHARACTER  
    FIELD HomeAddress         AS CHARACTER  
    FIELD HomeTelephoneNumber AS CHARACTER  
    FIELD JobTitle            AS CHARACTER.
    
DEFINE VARIABLE iCnt AS INTEGER   NO-UNDO.

CREATE "Outlook.Application" chOutlook CONNECT NO-ERROR.
IF ERROR-STATUS:ERROR THEN DO:
    CREATE "Outlook.Application" chOutlook NO-ERROR.
    IF ERROR-STATUS:ERROR THEN
        RETURN ERROR.
END.

ASSIGN 
    chNamespace = chOutlook:GetNameSpace("MAPI":U)
    /*chFolder    = chNameSpace:PickFolder.*/
    chFolder    = chNamespace:GetDefaultFolder(10). /* Contacts */

DO iCnt = 1 TO chFolder:Items:Count():
    ASSIGN 
        chMailItem = chFolder:Items(iCnt) NO-ERROR.
    IF VALID-HANDLE(chMailItem) THEN DO:

        CREATE ttContacts.
        ASSIGN
            Email1Address       = chMailItem:Email1Address
            FullName            = chMailItem:FullName
            CompanyName         = chMailItem:CompanyName
            HomeTelephoneNumber = chMailItem:HomeTelephoneNumber
            JobTitle            = chMailItem:JobTitle
            HomeAddress         = chMailItem:HomeAddress.
    END.
  
    RELEASE OBJECT chMailItem NO-ERROR.
END.

RELEASE OBJECT chOutlook    NO-ERROR.
RELEASE OBJECT chNamespace  NO-ERROR.
RELEASE OBJECT chFolder     NO-ERROR.

FOR EACH ttContacts:
    DISPLAY ttContacts.
END.
