/*------------------------------------------------------------------------------
    Purpose: Populate the temp table ttNotes with the notes information     
------------------------------------------------------------------------------*/

DEFINE VARIABLE hAppt      AS COM-HANDLE   NO-UNDO.
DEFINE VARIABLE hAppts     AS COM-HANDLE   NO-UNDO.
DEFINE VARIABLE hFolder    AS COM-HANDLE   NO-UNDO.
DEFINE VARIABLE hNameSpace AS COM-HANDLE   NO-UNDO.
DEFINE VARIABLE hOutlook   AS COM-HANDLE   NO-UNDO.
DEFINE VARIABLE SafeItem   AS COM-HANDLE   NO-UNDO.

DEFINE TEMP-TABLE ttNotes NO-UNDO
    FIELD nEntryID AS CHARACTER
    FIELD nStart   AS CHARACTER
    FIELD nSubject AS CHARACTER.

CREATE "Outlook.Application" hOutlook NO-ERROR.

ASSIGN 
    hNameSpace = hOutlook:GetNameSpace("MAPI")
    hFolder    = hNameSpace:GetDefaultFolder(12) /* 12 = Notes */
    hAppts     = hFolder:Items.

hAppts:Sort("[CreationTime]", TRUE).

hAppt = hAppts:GetFirst.
DO WHILE hAppt <> 0:
    IF hAppt = 0 THEN LEAVE.

    IF trim(hAppt:Subject) <> "" THEN
    DO:
        CREATE ttNotes.
        ASSIGN
            ttNotes.nEntryID = hAppt:EntryID
            ttNotes.nStart = STRING(hAppt:CreationTime)
            ttNotes.nSubject =IF hAppt:Subject = "" THEN "<None>" ELSE hAppt:Subject.
    END.
    
    hAppt = hAppts:GetNext.
END.

RELEASE OBJECT hAppts     NO-ERROR.
RELEASE OBJECT hAppt      NO-ERROR.
RELEASE OBJECT hFolder    NO-ERROR.
RELEASE OBJECT hNameSpace NO-ERROR.
RELEASE OBJECT hOutlook   NO-ERROR.
RELEASE OBJECT SafeItem   NO-ERROR.

FOR EACH ttNotes:
    DISPLAY ttNotes.
END.

