/* {incl\pmdef.i}  */
DEF INPUT PARAMETER P-recipient             AS CHAR NO-UNDO.
DEF INPUT PARAMETER P-entryid               AS CHAR NO-UNDO.
DEF INPUT PARAMETER P-delete                AS LOG  INIT FALSE NO-UNDO.
DEF OUTPUT PARAMETER P-found                AS LOG  INIT FALSE NO-UNDO.

DEF VAR ChOutlook                           AS COM-HANDLE NO-UNDO.
DEF VAR ChNameSpace                         AS COM-HANDLE NO-UNDO.
DEF VAR ChFolder                            AS COM-HANDLE NO-UNDO.
DEF VAR Chrecipient                         AS COM-HANDLE NO-UNDO.
DEF VAR Choutlookapp                        AS COM-HANDLE NO-UNDO.
DEF VAR Chentry                             AS COM-HANDLE NO-UNDO.

CREATE "Outlook.Application" ChOutlook NO-ERROR.

IF ChOutlook = ? THEN
   DO: MESSAGE "Geen connectie met Outlook !" VIEW-AS ALERT-BOX.
       RETURN.
   END.

ChNameSpace = chOutlook:GetNamespace("MAPI") NO-ERROR.

ChRecipient = ChNameSpace:CreateRecipient(P-recipient) NO-ERROR.

IF ChRecipient = ? THEN
   DO: MESSAGE "Agenda van deze persoon is niet gekend !" VIEW-AS ALERT-BOX.
       RELEASE OBJECT ChNameSpace  NO-ERROR.
       RELEASE OBJECT ChRecipient NO-ERROR.
       RETURN "Error".
   END.

CHfolder = ChNameSpace:GetSharedDefaultFolder(chrecipient, 9) NO-ERROR.

ChOutlookapp = Chfolder:items NO-ERROR.
ChEntry = ChOutlookapp:getfirst NO-ERROR.

DO WHILE NOT P-found:
   IF chentry = 0 THEN LEAVE.
   IF chentry:entryid = P-entryid THEN
      DO: ASSIGN P-found = TRUE.
          IF P-delete
             THEN ChEntry:DELETE NO-ERROR.
          LEAVE.
      END.
   ChEntry = ChOutlookapp:getnext NO-ERROR.
END.

RELEASE OBJECT ChOutlook NO-ERROR.
RELEASE OBJECT ChFolder NO-ERROR.
RELEASE OBJECT ChNameSpace NO-ERROR.
RELEASE OBJECT ChFolder NO-ERROR.
RELEASE OBJECT ChRecipient NO-ERROR.
RELEASE OBJECT ChOutlookapp NO-ERROR.
RELEASE OBJECT ChEntry NO-ERROR.


RETURN.


