  CREATE "Outlook.Application" ChOutlook NO-ERROR.

  IF ChOutlook = ? THEN
  DO: 
    MESSAGE "Geen connectie met Outlook !" VIEW-AS ALERT-BOX.
    RETURN.
  END.

  ChNameSpace = chOutlook:GetNamespace("MAPI") NO-ERROR.
  ChRecipient = ChNameSpace:CreateRecipient(a_01_verkoper.outlookid) NO-ERROR.

  IF ChRecipient = ? THEN
  DO: 
    MESSAGE "Agenda van deze persoon is niet gekend !" VIEW-AS ALERT-BOX.
    RELEASE OBJECT ChNameSpace  NO-ERROR.
    RELEASE OBJECT ChRecipient NO-ERROR.
    RETURN "Error".
  END.

  CHfolder = ChNameSpace:GetSharedDefaultFolder(chrecipient, 9) NO-ERROR.
  ChOutlookapp = Chfolder:items NO-ERROR.
  ChEntry = ChOutlookapp:getfirst NO-ERROR.

  DO WHILE chentry <> 0:
    IF chentry = 0 THEN 
      LEAVE.
    IF chentry:START >= G-vandatum AND chentry:START <= G-totdatum THEN
    DO: 
      ASSIGN 
        L-filename = G-tempmap + STRING(ETIME) + E-usrcd
        L-tijd     = "".
      chentry:saveas(L-filename,0).

      INPUT FROM VALUE(L-filename) NO-ECHO.
      REPEAT:
        IMPORT UNFORMATTED L-str.
        IF L-str BEGINS "Begin" THEN
        DO: 
          L-tel = INDEX(L-str,":",15).
          L-tel = L-tel - 2.
          L-tijd = SUBSTRING(L-str,L-tel,5).
          LEAVE.
        END.
      END.

      INPUT CLOSE.
      OS-DELETE L-filename.
      CREATE afspraken.
      ASSIGN 
        afspraken.datum      = chentry:START
        afspraken.uur        = L-tijd
        afspraken.subject    = chentry:subject
        afspraken.entryid    = chentry:entryid.
    END.
    ChEntry = ChOutlookapp:getnext NO-ERROR.
  END.

  RELEASE OBJECT ChOutlook NO-ERROR.
  RELEASE OBJECT ChFolder NO-ERROR.
  RELEASE OBJECT ChNameSpace NO-ERROR.
  RELEASE OBJECT ChFolder NO-ERROR.
  RELEASE OBJECT ChRecipient NO-ERROR.
  RELEASE OBJECT ChOutlookapp NO-ERROR.
  RELEASE OBJECT ChEntry NO-ERROR.

